## r-cran-shinyjs 0.9.1

=== DESCRIPTION ===
Package: shinyjs
Title: Easily Improve the User Experience of Your Shiny Apps in Seconds
Version: 0.9.1
Authors@R: person("Dean", "Attali", email = "daattali@gmail.com",
    role = c("aut", "cre"))
Description: Perform common useful JavaScript operations in Shiny apps that will
    greatly improve your apps without having to know any JavaScript. Examples
    include: hiding an element, disabling an input, resetting an input back to
    its original value, delaying code execution by a few seconds, and many more
    useful functions for both the end user and the developer. 'shinyjs' can also
    be used to easily call your own custom JavaScript functions from R.
URL: http://deanattali.com/shinyjs
BugReports: https://github.com/daattali/shinyjs/issues
Depends: R (>= 3.1.0)
Imports: digest (>= 0.6.8), htmltools (>= 0.2.6), jsonlite, miniUI (>=
        0.1.1), shiny (>= 0.11.1), stats
Suggests: knitr (>= 1.7), rmarkdown, rstudioapi (>= 0.5), shinyAce,
        testthat (>= 0.9.1), V8 (>= 0.6)
License: AGPL-3
SystemRequirements: pandoc with https support
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-06-29 15:03:56 UTC; Dean
Author: Dean Attali [aut, cre]
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2017-06-29 22:26:58 UTC

## r-cran-shinyjs 0.9

=== debian/changelog ===
r-cran-shinyjs (0.9-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:47:48 +0000

r-cran-shinyjs (0.9-1) unstable; urgency=medium

  * Initial release (closes: #858443)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 22 Mar 2017 09:58:10 +0100

=== debian/control ===
Source: r-cran-shinyjs
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev, r-cran-digest (>= 0.6.8), r-cran-htmltools (>= 0.2.6), r-cran-jsonlite, r-cran-shiny (>= 0.11.1), r-cran-miniui (>=  0.1.1)
Standards-Version: 3.9.8
Homepage: https://cran.r-project.org/package=shinyjs
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-shinyjs.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-shinyjs.git

Package: r-cran-shinyjs
Architecture: all
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Easily Improve the User Experience of Your Shiny Apps in Seconds
 Perform common useful JavaScript operations in Shiny apps that will
 greatly improve your apps without having to know any JavaScript. Examples
 include: hiding an element, disabling an input, resetting an input back to
 its original value, delaying code execution by a few seconds, and many more
 useful functions for both the end user and the developer. 'shinyjs' can also
 be used to easily call your own custom JavaScript functions from R.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

Tests: vignette
Depends: @, r-cran-knitr
Restrictions: allow-stderr

Tests: generic
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

## r-cran-shinyjs 0.9.1

=== debian/changelog ===
r-cran-shinyjs (0.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * New upstream version 0.9.1
  * d/copyright: package now licensed under AGPL-3.
  * Remove unnedeed version in some Build-Depends.
  * Use canonical URL for Vcs-Browser.
  * Remove unneeded ${shlibs:Depends}.
  * Bump to Standards-Version 4.1.1.
  * Remove bad "generic" autopkgtest.
  * Remove failing "vignette" autopkgtest, needs rmarkdown which is not
    packaged in Debian.

  [ Leopold Palomo-Avellaneda ]
  * Added Cory LaViska reference

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Oct 2017 21:59:02 +0200

=== debian/control ===
Source: r-cran-shinyjs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-digest (>= 0.6.8),
               r-cran-htmltools,
               r-cran-jsonlite,
               r-cran-shiny,
               r-cran-miniui
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-shinyjs.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-shinyjs.git
Homepage: https://cran.r-project.org/package=shinyjs

Package: r-cran-shinyjs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Easily Improve the User Experience of Your Shiny Apps in Seconds
 Perform common useful JavaScript operations in Shiny apps that will
 greatly improve your apps without having to know any JavaScript. Examples
 include: hiding an element, disabling an input, resetting an input back to
 its original value, delaying code execution by a few seconds, and many more
 useful functions for both the end user and the developer. 'shinyjs' can also
 be used to easily call your own custom JavaScript functions from R.

## r-cran-shinyjs 1.0

=== DESCRIPTION ===
Package: shinyjs
Title: Easily Improve the User Experience of Your Shiny Apps in Seconds
Version: 1.0
Authors@R: person("Dean", "Attali", email = "daattali@gmail.com",
    role = c("aut", "cre"))
Description: Perform common useful JavaScript operations in Shiny apps that will
    greatly improve your apps without having to know any JavaScript. Examples
    include: hiding an element, disabling an input, resetting an input back to
    its original value, delaying code execution by a few seconds, and many more
    useful functions for both the end user and the developer. 'shinyjs' can also
    be used to easily call your own custom JavaScript functions from R.
URL: https://deanattali.com/shinyjs
BugReports: https://github.com/daattali/shinyjs/issues
Depends: R (>= 3.1.0)
Imports: digest (>= 0.6.8), htmltools (>= 0.2.9), jsonlite, shiny (>=
        1.0.0)
Suggests: knitr (>= 1.7), rmarkdown, shinyAce, testthat (>= 0.9.1), V8
        (>= 0.6)
License: AGPL-3
SystemRequirements: pandoc with https support
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-08 20:00:22 UTC; Dean
Author: Dean Attali [aut, cre]
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2018-01-08 22:21:13 UTC

=== debian/changelog ===
r-cran-shinyjs (1.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 17:40:20 +0200

r-cran-shinyjs (1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 18:43:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: r-cran-shinyjs
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-digest (>= 0.6.8),
                r-cran-htmltools,
                r-cran-jsonlite,
-               r-cran-shiny,
-               r-cran-miniui
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-shinyjs.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-shinyjs.git
+               r-cran-shiny
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyjs
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyjs.git
 Homepage: https://cran.r-project.org/package=shinyjs
 
 Package: r-cran-shinyjs

## r-cran-shinyjs 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: shinyjs
 Title: Easily Improve the User Experience of Your Shiny Apps in Seconds
-Version: 1.0
+Version: 1.1
 Authors@R: person("Dean", "Attali", email = "daattali@gmail.com",
     role = c("aut", "cre"))
 Description: Perform common useful JavaScript operations in Shiny apps that will
@@ -20,10 +20,10 @@
 SystemRequirements: pandoc with https support
 LazyData: true
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-01-08 20:00:22 UTC; Dean
+Packaged: 2020-01-13 01:12:39 UTC; Oriane
 Author: Dean Attali [aut, cre]
 Maintainer: Dean Attali <daattali@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-01-08 22:21:13 UTC
+Date/Publication: 2020-01-13 06:40:03 UTC

=== debian/changelog ===
r-cran-shinyjs (1.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:08:07 +0200

r-cran-shinyjs (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 11:50:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-digest (>= 0.6.8),
                r-cran-htmltools,
                r-cran-jsonlite,
                r-cran-shiny
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyjs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyjs.git
 Homepage: https://cran.r-project.org/package=shinyjs
+Rules-Requires-Root: no
 
 Package: r-cran-shinyjs
 Architecture: all

## r-cran-shinyjs 2.0.0

=== DESCRIPTION ===
Package: shinyjs
Title: Easily Improve the User Experience of Your Shiny Apps in Seconds
Version: 2.0.0
Authors@R: person("Dean", "Attali", email = "daattali@gmail.com",
    role = c("aut", "cre"))
Description: Perform common useful JavaScript operations in Shiny apps that will
    greatly improve your apps without having to know any JavaScript. Examples
    include: hiding an element, disabling an input, resetting an input back to
    its original value, delaying code execution by a few seconds, and many more
    useful functions for both the end user and the developer. 'shinyjs' can also
    be used to easily call your own custom JavaScript functions from R.
URL: https://deanattali.com/shinyjs/
BugReports: https://github.com/daattali/shinyjs/issues
Depends: R (>= 3.1.0)
Imports: digest (>= 0.6.8), htmltools (>= 0.2.9), jsonlite, shiny (>=
        1.0.0)
Suggests: knitr (>= 1.7), rmarkdown, shinyAce, shinydisconnect,
        testthat (>= 0.9.1)
License: MIT + file LICENSE
SystemRequirements: pandoc with https support
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-09-01 14:48:56 UTC; D
Author: Dean Attali [aut, cre]
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2020-09-09 07:50:03 UTC

=== debian/changelog ===
r-cran-shinyjs (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 11:26:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest (>= 0.6.8),

## r-cran-shinyjs 2.1.0

=== DESCRIPTION ===
Package: shinyjs
Title: Easily Improve the User Experience of Your Shiny Apps in Seconds
Version: 2.1.0
Authors@R: person("Dean", "Attali", 
    email = "daattali@gmail.com",
    role = c("aut", "cre"),
    comment= c(ORCID="0000-0002-5645-3493"))
Description: Perform common useful JavaScript operations in Shiny apps that will
    greatly improve your apps without having to know any JavaScript. Examples
    include: hiding an element, disabling an input, resetting an input back to
    its original value, delaying code execution by a few seconds, and many more
    useful functions for both the end user and the developer. 'shinyjs' can also
    be used to easily call your own custom JavaScript functions from R.
URL: https://deanattali.com/shinyjs/
BugReports: https://github.com/daattali/shinyjs/issues
Depends: R (>= 3.1.0)
Imports: digest (>= 0.6.8), jsonlite, shiny (>= 1.0.0)
Suggests: htmltools (>= 0.2.9), knitr (>= 1.7), rmarkdown, shinyAce,
        shinydisconnect, testthat (>= 0.9.1)
License: MIT + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-12-21 11:32:22 UTC; Dean-X1C
Author: Dean Attali [aut, cre] (<https://orcid.org/0000-0002-5645-3493>)
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2021-12-23 10:10:02 UTC

=== debian/changelog ===
r-cran-shinyjs (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 08:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-digest (>= 0.6.8),
-               r-cran-htmltools,
+               r-cran-digest,
                r-cran-jsonlite,
                r-cran-shiny
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyjs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyjs.git
 Homepage: https://cran.r-project.org/package=shinyjs

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/shinyjs_([-\d.]*)\.tar\.gz
